From bea0b976480cef1786f9214f07d2d6bd4544c327 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 1 Dec 2023 22:23:17 +0200
Subject: [PATCH 10/10] Refresh asturias.svg

See RM #12

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/flags/asturias-large.png        | Bin 789 -> 622 bytes
 data/flags/asturias-shield-large.png | Bin 613 -> 450 bytes
 data/flags/asturias-shield.png       | Bin 425 -> 334 bytes
 data/flags/asturias.png              | Bin 564 -> 467 bytes
 data/flags/asturias.svg              |  99 ++++++++++++++++++---------
 5 files changed, 67 insertions(+), 32 deletions(-)

diff --git a/data/flags/asturias-large.png b/data/flags/asturias-large.png
index 824f2e4121a57936178a4c9f0bcc82412ab8ffe2..7359cec18edff57a1fee7d1baff5264d696519e8 100644
GIT binary patch
diff --git a/data/flags/asturias-shield-large.png b/data/flags/asturias-shield-large.png
index a73f4b1808209f477e1ae41485de3269e5451b6f..ad054bf5c657e6411521d8276c72262e7643eab4 100644
GIT binary patch
diff --git a/data/flags/asturias-shield.png b/data/flags/asturias-shield.png
index 32f01daeec5314a990a8e6aece7aa017d34fbcbc..aeeb56f799fea2be60f476e58228e22c9872f686 100644
GIT binary patch
diff --git a/data/flags/asturias.png b/data/flags/asturias.png
index 9578ef10d8734832340cfa47c99b20dc3864f6e5..ff854ae44836138e579b6751f605624e7f2e7968 100644
GIT binary patch
diff --git a/data/flags/asturias.svg b/data/flags/asturias.svg
index fb298c1a50..d82c1a8128 100644
--- a/data/flags/asturias.svg
+++ b/data/flags/asturias.svg
@@ -1,36 +1,71 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <svg
-   xmlns="http://www.w3.org/2000/svg"
    width="900"
    height="600"
-   viewBox="0 0 41.3476 27.5651">
- <polygon
-   transform="matrix(1.000001,0,0,1,0,3.56116e-6)"
-   style="fill:#06f;fill-opacity:1"
-   id="polygon10"
-   points="0,0 41.3476,0 41.3476,27.5651 0,27.5651 0,0 "
-   class="fil0" /><g
-   transform="matrix(0.354546,0,0,0.354331,6.209645e-2,17.79793)"
-   id="g1878"><path
-     style="fill:#f7d417;fill-opacity:1"
-     d="M 27.627202,-9.875217 L 27.901646,-9.2577208 L 25.969108,-5.7814456 L 25.385916,-5.1182089 L 27.284148,-5.1182089 L 26.9754,-5.8614914 L 27.341324,-6.5247281 L 28.656364,-5.3583464 L 29.959969,-6.5247281 L 30.325893,-5.8614914 L 30.017145,-5.1182089 L 31.915376,-5.1182089 L 31.34362,-5.7814456 L 29.399648,-9.2577208 L 29.685526,-9.875217 L 27.627202,-9.875217 z M 28.656364,-8.8689268 L 29.479694,-7.3823618 L 28.656364,-6.6390793 L 27.8216,-7.3823618 L 28.656364,-8.8689268 z "
-     id="polygon12" /><path
-     class="fil1"
-     d="M 35.146309,-11.711038 C 35.478494,-11.103462 35.94656,-10.590534 36.505256,-10.219581 L 36.286264,10.369462 C 36.033819,10.416268 34.350468,12.133977 34.277987,12.421299 C 34.247777,12.563275 34.225087,12.713289 34.225087,12.855264 C 34.225087,13.818104 34.972568,14.599293 35.901308,14.599293 C 36.384414,14.599293 36.852611,14.378356 37.169755,13.991716 C 37.592569,14.386266 38.136096,14.599293 38.694796,14.599293 C 39.261144,14.599293 39.80467,14.386265 40.219964,13.991716 C 40.537108,14.378355 41.005175,14.599293 41.488411,14.599293 C 42.417021,14.599293 43.164502,13.818104 43.164502,12.855264 C 43.164502,12.713288 43.149462,12.563274 43.111731,12.429207 C 43.069852,12.251705 41.299887,10.405894 41.103325,10.369459 L 40.884333,-10.219584 C 41.45068,-10.598315 41.918746,-11.111373 42.250931,-11.711041 L 53.712188,-11.805821 C 53.795299,-11.099574 55.220242,-9.2015109 55.924416,-9.2015109 C 56.671766,-9.2015109 57.27584,-9.8407245 57.27584,-10.614135 C 57.27584,-11.071829 57.072018,-11.490105 56.717145,-11.758366 C 56.407521,-11.995121 56.566092,-12.508176 56.951178,-12.508176 C 57.087059,-12.508176 57.215421,-12.437124 57.290883,-12.310837 C 57.411725,-12.27933 57.532566,-12.263512 57.653407,-12.263512 C 58.196934,-12.263512 58.680169,-12.594917 58.899163,-13.107844 C 58.989665,-13.336691 59.042565,-13.581354 59.042565,-13.826021 C 59.042565,-14.070686 58.989664,-14.307441 58.899163,-14.536287 C 58.68017,-15.049215 58.196934,-15.388527 57.653407,-15.388527 C 57.532566,-15.388527 57.411724,-15.3648 57.290883,-15.333293 C 57.079541,-14.978159 56.558575,-15.135954 56.558575,-15.55423 C 56.558575,-15.680517 56.618996,-15.806804 56.717147,-15.885765 C 57.072022,-16.154028 57.275843,-16.580213 57.275843,-17.029996 C 57.275843,-17.811184 56.671766,-18.44262 55.924418,-18.44262 C 55.221283,-18.44262 53.795042,-16.542482 53.71219,-15.83831 L 42.250933,-15.93309 C 41.888539,-16.595903 41.36757,-17.148375 40.733414,-17.527106 L 40.627741,-31.70042 C 41.268511,-31.782752 43.111733,-33.343187 43.111733,-34.01261 C 43.111733,-34.78602 42.507655,-35.425234 41.760177,-35.425234 C 41.329841,-35.425234 40.922196,-35.204167 40.672994,-34.841254 C 40.44648,-34.517627 39.955725,-34.68333 39.955725,-35.085789 C 39.955725,-35.227894 40.023666,-35.36209 40.136987,-35.433012 C 40.174717,-35.559299 40.189758,-35.693495 40.189758,-35.819781 C 40.189758,-36.380034 39.872612,-36.892959 39.381859,-37.114027 C 39.162996,-37.216586 38.928832,-37.263911 38.694799,-37.263911 C 38.460766,-37.263911 38.226732,-37.216586 38.015261,-37.114027 C 37.516985,-36.89296 37.19984,-36.380032 37.19984,-35.819781 C 37.19984,-35.685585 37.21501,-35.559298 37.252741,-35.433012 C 37.366062,-35.362089 37.441523,-35.227893 37.441523,-35.085789 C 37.441523,-34.856942 37.260261,-34.667643 37.0414,-34.667643 C 36.913038,-34.667643 36.799716,-34.730656 36.724254,-34.841255 C 36.467531,-35.204167 36.059885,-35.425235 35.62942,-35.425235 C 34.88194,-35.425235 34.277994,-34.786021 34.277994,-34.012611 C 34.277994,-33.278359 36.095932,-31.776141 36.769506,-31.70042 L 36.656314,-17.527107 C 36.029676,-17.148376 35.50871,-16.603811 35.146316,-15.941001 L 23.677524,-15.838312 C 23.59934,-16.50294 22.100492,-18.442622 21.465296,-18.442622 C 20.717816,-18.442622 20.11387,-17.811187 20.11387,-17.029998 C 20.11387,-16.580215 20.325214,-16.154028 20.672567,-15.885768 C 20.770718,-15.806806 20.831139,-15.680519 20.831139,-15.554233 C 20.831139,-15.325386 20.657397,-15.135957 20.438534,-15.135957 C 20.302522,-15.135957 20.174291,-15.207009 20.106219,-15.333296 C 19.985507,-15.364803 19.857146,-15.388531 19.736304,-15.388531 C 19.200298,-15.388531 18.709542,-15.049215 18.498069,-14.53629 C 18.399918,-14.315353 18.354668,-14.070688 18.354668,-13.826024 C 18.354668,-13.57345 18.399918,-13.336696 18.498069,-13.107848 C 18.709542,-12.59492 19.200298,-12.263515 19.736304,-12.263515 C 19.857146,-12.263515 19.985507,-12.279333 20.106219,-12.318749 C 20.317692,-12.665973 20.831139,-12.50818 20.831139,-12.097812 C 20.831139,-11.963616 20.770718,-11.837329 20.672567,-11.758366 C 20.325213,-11.498013 20.11387,-11.071827 20.11387,-10.614136 C 20.11387,-9.8407253 20.717818,-9.2015118 21.465296,-9.2015118 C 22.097639,-9.2015118 23.599729,-11.144697 23.677524,-11.805822 L 35.146316,-11.711042 L 35.146309,-11.711038 z "
-     id="path14"
-     style="fill:#f7d517;fill-opacity:1" /><polygon
-     class="fil1"
-     points="10.0216,14.297 10.0216,13.6288 10.2838,13.6316 10.2838,14.297 10.0216,14.297 "
-     id="polygon18"
-     style="fill:#f7d417;fill-opacity:1"
-     transform="matrix(2.822226,0,0,2.822222,0,-50.22974)" /><path
-     class="fil1"
-     d="M 47.921398,-9.5330122 C 48.12522,-9.3750888 48.253583,-9.1384627 48.276273,-8.8700721 C 48.291314,-8.7675126 48.298964,-8.6649533 48.298964,-8.5544856 C 48.298964,-8.0572467 48.178121,-7.5680483 47.951609,-7.1339539 C 47.604256,-6.4474144 46.660471,-6.4947403 46.373669,-7.2050064 C 46.252827,-7.5126851 46.192407,-7.84422 46.199927,-8.1756251 C 46.230137,-8.9017095 46.630392,-9.5645226 47.257031,-9.8802389 L 45.56577,-9.8802389 C 45.656401,-9.7933681 45.701651,-9.6828995 45.701651,-9.5566119 C 45.701651,-9.5171959 45.701651,-9.4777799 45.686611,-9.438234 C 45.5506,-8.9332171 45.482659,-8.4044709 45.482659,-7.8757248 C 45.482659,-7.6153717 45.497829,-7.3627972 45.53556,-7.1024443 C 45.641231,-6.2342554 46.358501,-5.579353 47.20413,-5.579353 C 47.868629,-5.579353 48.472577,-5.9897211 48.736819,-6.621024 C 49.008583,-5.9818104 49.61266,-5.579353 50.277029,-5.579353 C 51.122658,-5.579353 51.83993,-6.2342554 51.945729,-7.1102252 C 51.97581,-7.3707081 51.9985,-7.6232826 51.9985,-7.8757248 C 51.9985,-8.4044709 51.923039,-8.9253064 51.787157,-9.438234 C 51.749427,-9.5961574 51.794678,-9.769769 51.907869,-9.8802392 L 50.224259,-9.8802392 C 50.850898,-9.5566121 51.251021,-8.9017098 51.273712,-8.1756254 C 51.273712,-8.151898 51.273712,-8.1283001 51.273712,-8.0966636 C 51.273712,-7.7968956 51.220811,-7.4890871 51.10762,-7.205005 C 50.820687,-6.4947391 49.876904,-6.4474133 49.52955,-7.1260432 C 49.250266,-7.6626972 49.136945,-8.2702737 49.197366,-8.8779828 C 49.227576,-9.1384658 49.355937,-9.3750919 49.559759,-9.533015 L 47.921397,-9.533015 L 47.921398,-9.5330122 z "
-     id="path20"
-     style="fill:#f7d417;fill-opacity:1" /><polygon
-     class="fil1"
-     points="17.1378,14.4201 17.1378,13.6316 17.4027,13.6288 17.4027,14.4201 17.1378,14.4201 "
-     id="polygon22"
-     style="fill:#f7d417;fill-opacity:1"
-     transform="matrix(2.822226,0,0,2.822222,0,-50.22974)" /></g>
-</svg>
\ No newline at end of file
+   viewBox="0 0 41.3476 27.5651"
+   version="1.1"
+   id="svg9"
+   sodipodi:docname="asturias.svg"
+   inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg">
+  <defs
+     id="defs13" />
+  <sodipodi:namedview
+     id="namedview11"
+     pagecolor="#ffffff"
+     bordercolor="#000000"
+     borderopacity="0.25"
+     inkscape:showpageshadow="2"
+     inkscape:pageopacity="0.0"
+     inkscape:pagecheckerboard="0"
+     inkscape:deskcolor="#d1d1d1"
+     showgrid="false"
+     inkscape:zoom="1.0661599"
+     inkscape:cx="449.74492"
+     inkscape:cy="302.95644"
+     inkscape:window-width="1097"
+     inkscape:window-height="845"
+     inkscape:window-x="26"
+     inkscape:window-y="23"
+     inkscape:window-maximized="0"
+     inkscape:current-layer="svg9" />
+  <polygon
+     transform="matrix(1.000001,0,0,1,0,3.56116e-6)"
+     style="fill:#06f;fill-opacity:1"
+     id="polygon10"
+     points="0,0 41.3476,0 41.3476,27.5651 0,27.5651 0,0 "
+     class="fil0" />
+  <g
+     transform="matrix(0.354546,0,0,0.354331,6.209645e-2,17.79793)"
+     id="g1878">
+    <path
+       style="fill:#f7d417;fill-opacity:1"
+       d="M 27.627202,-9.875217 L 27.901646,-9.2577208 L 25.969108,-5.7814456 L 25.385916,-5.1182089 L 27.284148,-5.1182089 L 26.9754,-5.8614914 L 27.341324,-6.5247281 L 28.656364,-5.3583464 L 29.959969,-6.5247281 L 30.325893,-5.8614914 L 30.017145,-5.1182089 L 31.915376,-5.1182089 L 31.34362,-5.7814456 L 29.399648,-9.2577208 L 29.685526,-9.875217 L 27.627202,-9.875217 z M 28.656364,-8.8689268 L 29.479694,-7.3823618 L 28.656364,-6.6390793 L 27.8216,-7.3823618 L 28.656364,-8.8689268 z "
+       id="polygon12" />
+    <path
+       class="fil1"
+       d="M 35.146309,-11.711038 C 35.478494,-11.103462 35.94656,-10.590534 36.505256,-10.219581 L 36.286264,10.369462 C 36.033819,10.416268 34.350468,12.133977 34.277987,12.421299 C 34.247777,12.563275 34.225087,12.713289 34.225087,12.855264 C 34.225087,13.818104 34.972568,14.599293 35.901308,14.599293 C 36.384414,14.599293 36.852611,14.378356 37.169755,13.991716 C 37.592569,14.386266 38.136096,14.599293 38.694796,14.599293 C 39.261144,14.599293 39.80467,14.386265 40.219964,13.991716 C 40.537108,14.378355 41.005175,14.599293 41.488411,14.599293 C 42.417021,14.599293 43.164502,13.818104 43.164502,12.855264 C 43.164502,12.713288 43.149462,12.563274 43.111731,12.429207 C 43.069852,12.251705 41.299887,10.405894 41.103325,10.369459 L 40.884333,-10.219584 C 41.45068,-10.598315 41.918746,-11.111373 42.250931,-11.711041 L 53.712188,-11.805821 C 53.795299,-11.099574 55.220242,-9.2015109 55.924416,-9.2015109 C 56.671766,-9.2015109 57.27584,-9.8407245 57.27584,-10.614135 C 57.27584,-11.071829 57.072018,-11.490105 56.717145,-11.758366 C 56.407521,-11.995121 56.566092,-12.508176 56.951178,-12.508176 C 57.087059,-12.508176 57.215421,-12.437124 57.290883,-12.310837 C 57.411725,-12.27933 57.532566,-12.263512 57.653407,-12.263512 C 58.196934,-12.263512 58.680169,-12.594917 58.899163,-13.107844 C 58.989665,-13.336691 59.042565,-13.581354 59.042565,-13.826021 C 59.042565,-14.070686 58.989664,-14.307441 58.899163,-14.536287 C 58.68017,-15.049215 58.196934,-15.388527 57.653407,-15.388527 C 57.532566,-15.388527 57.411724,-15.3648 57.290883,-15.333293 C 57.079541,-14.978159 56.558575,-15.135954 56.558575,-15.55423 C 56.558575,-15.680517 56.618996,-15.806804 56.717147,-15.885765 C 57.072022,-16.154028 57.275843,-16.580213 57.275843,-17.029996 C 57.275843,-17.811184 56.671766,-18.44262 55.924418,-18.44262 C 55.221283,-18.44262 53.795042,-16.542482 53.71219,-15.83831 L 42.250933,-15.93309 C 41.888539,-16.595903 41.36757,-17.148375 40.733414,-17.527106 L 40.627741,-31.70042 C 41.268511,-31.782752 43.111733,-33.343187 43.111733,-34.01261 C 43.111733,-34.78602 42.507655,-35.425234 41.760177,-35.425234 C 41.329841,-35.425234 40.922196,-35.204167 40.672994,-34.841254 C 40.44648,-34.517627 39.955725,-34.68333 39.955725,-35.085789 C 39.955725,-35.227894 40.023666,-35.36209 40.136987,-35.433012 C 40.174717,-35.559299 40.189758,-35.693495 40.189758,-35.819781 C 40.189758,-36.380034 39.872612,-36.892959 39.381859,-37.114027 C 39.162996,-37.216586 38.928832,-37.263911 38.694799,-37.263911 C 38.460766,-37.263911 38.226732,-37.216586 38.015261,-37.114027 C 37.516985,-36.89296 37.19984,-36.380032 37.19984,-35.819781 C 37.19984,-35.685585 37.21501,-35.559298 37.252741,-35.433012 C 37.366062,-35.362089 37.441523,-35.227893 37.441523,-35.085789 C 37.441523,-34.856942 37.260261,-34.667643 37.0414,-34.667643 C 36.913038,-34.667643 36.799716,-34.730656 36.724254,-34.841255 C 36.467531,-35.204167 36.059885,-35.425235 35.62942,-35.425235 C 34.88194,-35.425235 34.277994,-34.786021 34.277994,-34.012611 C 34.277994,-33.278359 36.095932,-31.776141 36.769506,-31.70042 L 36.656314,-17.527107 C 36.029676,-17.148376 35.50871,-16.603811 35.146316,-15.941001 L 23.677524,-15.838312 C 23.59934,-16.50294 22.100492,-18.442622 21.465296,-18.442622 C 20.717816,-18.442622 20.11387,-17.811187 20.11387,-17.029998 C 20.11387,-16.580215 20.325214,-16.154028 20.672567,-15.885768 C 20.770718,-15.806806 20.831139,-15.680519 20.831139,-15.554233 C 20.831139,-15.325386 20.657397,-15.135957 20.438534,-15.135957 C 20.302522,-15.135957 20.174291,-15.207009 20.106219,-15.333296 C 19.985507,-15.364803 19.857146,-15.388531 19.736304,-15.388531 C 19.200298,-15.388531 18.709542,-15.049215 18.498069,-14.53629 C 18.399918,-14.315353 18.354668,-14.070688 18.354668,-13.826024 C 18.354668,-13.57345 18.399918,-13.336696 18.498069,-13.107848 C 18.709542,-12.59492 19.200298,-12.263515 19.736304,-12.263515 C 19.857146,-12.263515 19.985507,-12.279333 20.106219,-12.318749 C 20.317692,-12.665973 20.831139,-12.50818 20.831139,-12.097812 C 20.831139,-11.963616 20.770718,-11.837329 20.672567,-11.758366 C 20.325213,-11.498013 20.11387,-11.071827 20.11387,-10.614136 C 20.11387,-9.8407253 20.717818,-9.2015118 21.465296,-9.2015118 C 22.097639,-9.2015118 23.599729,-11.144697 23.677524,-11.805822 L 35.146316,-11.711042 L 35.146309,-11.711038 z "
+       id="path14"
+       style="fill:#f7d517;fill-opacity:1" />
+    <polygon
+       class="fil1"
+       points="10.0216,14.297 10.0216,13.6288 10.2838,13.6316 10.2838,14.297 10.0216,14.297 "
+       id="polygon18"
+       style="fill:#f7d417;fill-opacity:1"
+       transform="matrix(2.822226,0,0,2.822222,0,-50.22974)" />
+    <path
+       class="fil1"
+       d="M 47.921398,-9.5330122 C 48.12522,-9.3750888 48.253583,-9.1384627 48.276273,-8.8700721 C 48.291314,-8.7675126 48.298964,-8.6649533 48.298964,-8.5544856 C 48.298964,-8.0572467 48.178121,-7.5680483 47.951609,-7.1339539 C 47.604256,-6.4474144 46.660471,-6.4947403 46.373669,-7.2050064 C 46.252827,-7.5126851 46.192407,-7.84422 46.199927,-8.1756251 C 46.230137,-8.9017095 46.630392,-9.5645226 47.257031,-9.8802389 L 45.56577,-9.8802389 C 45.656401,-9.7933681 45.701651,-9.6828995 45.701651,-9.5566119 C 45.701651,-9.5171959 45.701651,-9.4777799 45.686611,-9.438234 C 45.5506,-8.9332171 45.482659,-8.4044709 45.482659,-7.8757248 C 45.482659,-7.6153717 45.497829,-7.3627972 45.53556,-7.1024443 C 45.641231,-6.2342554 46.358501,-5.579353 47.20413,-5.579353 C 47.868629,-5.579353 48.472577,-5.9897211 48.736819,-6.621024 C 49.008583,-5.9818104 49.61266,-5.579353 50.277029,-5.579353 C 51.122658,-5.579353 51.83993,-6.2342554 51.945729,-7.1102252 C 51.97581,-7.3707081 51.9985,-7.6232826 51.9985,-7.8757248 C 51.9985,-8.4044709 51.923039,-8.9253064 51.787157,-9.438234 C 51.749427,-9.5961574 51.794678,-9.769769 51.907869,-9.8802392 L 50.224259,-9.8802392 C 50.850898,-9.5566121 51.251021,-8.9017098 51.273712,-8.1756254 C 51.273712,-8.151898 51.273712,-8.1283001 51.273712,-8.0966636 C 51.273712,-7.7968956 51.220811,-7.4890871 51.10762,-7.205005 C 50.820687,-6.4947391 49.876904,-6.4474133 49.52955,-7.1260432 C 49.250266,-7.6626972 49.136945,-8.2702737 49.197366,-8.8779828 C 49.227576,-9.1384658 49.355937,-9.3750919 49.559759,-9.533015 L 47.921397,-9.533015 L 47.921398,-9.5330122 z "
+       id="path20"
+       style="fill:#f7d417;fill-opacity:1" />
+    <polygon
+       class="fil1"
+       points="17.1378,14.4201 17.1378,13.6316 17.4027,13.6288 17.4027,14.4201 17.1378,14.4201 "
+       id="polygon22"
+       style="fill:#f7d417;fill-opacity:1"
+       transform="matrix(2.822226,0,0,2.822222,0,-50.22974)" />
+  </g>
+</svg>
-- 
2.42.0