From 47a960402f9a38f77bf117d69e986c6424f0c27a Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 2 Dec 2023 20:33:42 +0200
Subject: [PATCH 15/15] Refresh moravia.svg

See RM #16

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/flags/moravia-large.png        | Bin 1275 -> 1216 bytes
 data/flags/moravia-shield-large.png | Bin 775 -> 630 bytes
 data/flags/moravia-shield.png       | Bin 500 -> 413 bytes
 data/flags/moravia.png              | Bin 785 -> 720 bytes
 data/flags/moravia.svg              |  32 ++++++++++++++++++++++++++--
 5 files changed, 30 insertions(+), 2 deletions(-)

diff --git a/data/flags/moravia-large.png b/data/flags/moravia-large.png
index e708aff5b33141a73a290b1fef82487b17b62f9d..0159b0a1720b02d6e7ccef03c7dd68d39cf3c0d9 100644
GIT binary patch
diff --git a/data/flags/moravia-shield-large.png b/data/flags/moravia-shield-large.png
index 3640b12d905d625930b0ea53efec3dfa7972e7ad..8b60c565c306c2283aceeb846bb57deca13f53ea 100644
GIT binary patch
diff --git a/data/flags/moravia-shield.png b/data/flags/moravia-shield.png
index c434145689716819a9ad7a3af6acdd245c75c361..21e5a18367b117d886bc9eb3cef253ab31511b16 100644
GIT binary patch
diff --git a/data/flags/moravia.png b/data/flags/moravia.png
index b89df53b3d70a1044b4b79c93c858650456a7b56..0d7adf1a0579ebef508007487eb25d7715d3b49d 100644
GIT binary patch
diff --git a/data/flags/moravia.svg b/data/flags/moravia.svg
index 0d18a8f67e..a6078cfb1c 100644
--- a/data/flags/moravia.svg
+++ b/data/flags/moravia.svg
@@ -1,8 +1,36 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <svg
-   xmlns="http://www.w3.org/2000/svg"
    width="450"
-   height="300">
+   height="300"
+   version="1.1"
+   id="svg88"
+   sodipodi:docname="moravia.svg"
+   inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg">
+  <defs
+     id="defs92" />
+  <sodipodi:namedview
+     id="namedview90"
+     pagecolor="#ffffff"
+     bordercolor="#000000"
+     borderopacity="0.25"
+     inkscape:showpageshadow="2"
+     inkscape:pageopacity="0.0"
+     inkscape:pagecheckerboard="0"
+     inkscape:deskcolor="#d1d1d1"
+     showgrid="false"
+     inkscape:zoom="2.1323198"
+     inkscape:cx="225.57592"
+     inkscape:cy="151.47822"
+     inkscape:window-width="1114"
+     inkscape:window-height="851"
+     inkscape:window-x="26"
+     inkscape:window-y="23"
+     inkscape:window-maximized="0"
+     inkscape:current-layer="svg88" />
   <rect
      style="opacity:1;fill:#ffbe00;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:13.10799979999999998;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
      id="rect6579"
-- 
2.42.0