From 3e5b017738b99efdbd1a50fb66d4cabec648ccae Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 4 Dec 2023 01:48:46 +0200
Subject: [PATCH 18/18] Refresh rvn.svg

See RM #21

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/flags/rvn-large.png        | Bin 372 -> 313 bytes
 data/flags/rvn-shield-large.png | Bin 418 -> 283 bytes
 data/flags/rvn-shield.png       | Bin 317 -> 256 bytes
 data/flags/rvn.png              | Bin 336 -> 292 bytes
 data/flags/rvn.svg              |  31 +++++++++++++++++++++++++++++--
 5 files changed, 29 insertions(+), 2 deletions(-)

diff --git a/data/flags/rvn-large.png b/data/flags/rvn-large.png
index e67d180460086952cefcfecd5e9351a9cfa02077..2999ea5fe30a2472e524355b31f7d5bcf6ebe75e 100644
GIT binary patch
diff --git a/data/flags/rvn-shield-large.png b/data/flags/rvn-shield-large.png
index deeb5166a91ed9d28e0e4b2089f3dbc0ee6aa82e..62b5c5f260f01c0e284d455035ca79c0b0fed4a0 100644
GIT binary patch
diff --git a/data/flags/rvn-shield.png b/data/flags/rvn-shield.png
index f548b67b4086a08ccb6d76592368a10d4ae8c91a..c12d500f71aab27b63d4ceb4e91e1be3b731ae02 100644
GIT binary patch
diff --git a/data/flags/rvn.png b/data/flags/rvn.png
index 0967d49856ade330bff7731c37352942da8b0406..a99841c28048ce017cf2e3fa12f71f5e7b0f1780 100644
GIT binary patch
diff --git a/data/flags/rvn.svg b/data/flags/rvn.svg
index ec917e1b00..46f5dae3d0 100644
--- a/data/flags/rvn.svg
+++ b/data/flags/rvn.svg
@@ -1,9 +1,36 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <svg
-   xmlns="http://www.w3.org/2000/svg"
    width="900px"
    height="600px"
-   id="svg2">
+   id="svg2"
+   version="1.1"
+   sodipodi:docname="rvn.svg"
+   inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg">
+  <defs
+     id="defs10" />
+  <sodipodi:namedview
+     id="namedview8"
+     pagecolor="#ffffff"
+     bordercolor="#000000"
+     borderopacity="0.25"
+     inkscape:showpageshadow="2"
+     inkscape:pageopacity="0.0"
+     inkscape:pagecheckerboard="0"
+     inkscape:deskcolor="#d1d1d1"
+     showgrid="false"
+     inkscape:zoom="1.5077778"
+     inkscape:cx="446.02063"
+     inkscape:cy="301.76861"
+     inkscape:window-width="1551"
+     inkscape:window-height="1135"
+     inkscape:window-x="26"
+     inkscape:window-y="23"
+     inkscape:window-maximized="0"
+     inkscape:current-layer="svg2" />
   <g
      id="g9145">
     <rect
-- 
2.42.0