From 969316a95113609f52231c7546e1bbb192c753df Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Mon, 4 Dec 2023 18:48:05 +0200
Subject: [PATCH 21/21] Qt: Replace remaining NULLs with nullptr in headers

See RM #24

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/gui-qt/chatline.h     |  2 +-
 client/gui-qt/citydlg.h      |  8 ++++----
 client/gui-qt/dialogs.h      |  4 ++--
 client/gui-qt/ratesdlg.h     | 18 +++++++++---------
 client/gui-qt/voteinfo_bar.h |  2 +-
 5 files changed, 17 insertions(+), 17 deletions(-)

diff --git a/client/gui-qt/chatline.h b/client/gui-qt/chatline.h
index 71c143d6aa..2d7de76359 100644
--- a/client/gui-qt/chatline.h
+++ b/client/gui-qt/chatline.h
@@ -100,7 +100,7 @@ class text_browser_dblclck : public QTextBrowser
 {
   Q_OBJECT
 public:
-  explicit text_browser_dblclck(QWidget *parent = NULL): QTextBrowser(parent) {}
+  explicit text_browser_dblclck(QWidget *parent = nullptr): QTextBrowser(parent) {}
 signals:
   void dbl_clicked();
 protected:
diff --git a/client/gui-qt/citydlg.h b/client/gui-qt/citydlg.h
index efb69c2d3a..158e996392 100644
--- a/client/gui-qt/citydlg.h
+++ b/client/gui-qt/citydlg.h
@@ -97,7 +97,7 @@ class fc_tooltip : public QObject
 {
   Q_OBJECT
 public:
-  explicit fc_tooltip(QObject *parent = NULL): QObject(parent) {}
+  explicit fc_tooltip(QObject *parent = nullptr): QObject(parent) {}
 
 protected:
   bool eventFilter(QObject *obj, QEvent *event);
@@ -351,7 +351,7 @@ class city_production_model : public QAbstractListModel
 
 public:
   city_production_model(struct city *pcity, bool f, bool su, bool sw, bool sb,
-                        QObject *parent = 0);
+                        QObject *parent = nullptr);
   ~city_production_model();
   inline int rowCount(const QModelIndex &index = QModelIndex()) const {
     Q_UNUSED(index);
@@ -419,7 +419,7 @@ class city_label: public QLabel
   Q_OBJECT
 
 public:
-  city_label(int type, QWidget *parent = 0);
+  city_label(int type, QWidget *parent = nullptr);
   void set_city(struct city *pcity);
 
 private:
@@ -494,7 +494,7 @@ class city_dialog: public qfc_dialog
   QSlider *slider_tab[2 * O_LAST + 2];
 
 public:
-  city_dialog(QWidget *parent = 0);
+  city_dialog(QWidget *parent = nullptr);
   ~city_dialog();
   void setup_ui(struct city *qcity);
   void refresh();
diff --git a/client/gui-qt/dialogs.h b/client/gui-qt/dialogs.h
index 9c0492f0f6..78697e9587 100644
--- a/client/gui-qt/dialogs.h
+++ b/client/gui-qt/dialogs.h
@@ -269,8 +269,8 @@ class choice_dialog: public QWidget
   void switch_target();
 public:
   choice_dialog(const QString title, const QString text,
-                QWidget *parent = NULL,
-                void (*run_on_close_in)(int) = NULL);
+                QWidget *parent = nullptr,
+                void (*run_on_close_in)(int) = nullptr);
   ~choice_dialog();
   void set_layout();
   void add_item(QString title, pfcn_void func, QVariant data1,
diff --git a/client/gui-qt/ratesdlg.h b/client/gui-qt/ratesdlg.h
index 5365980545..76bb861c3b 100644
--- a/client/gui-qt/ratesdlg.h
+++ b/client/gui-qt/ratesdlg.h
@@ -46,8 +46,8 @@ class QSize;
 class QSlider;
 
 /**************************************************************************
- * Custom slider with two settable values
- *************************************************************************/
+  Custom slider with two settable values
+**************************************************************************/
 class fc_double_edge : public QWidget
 {
   Q_OBJECT
@@ -61,7 +61,7 @@ private:
   int max_rates;
   QPixmap cursor_pix;
 public:
-  fc_double_edge(QWidget *parent = NULL);
+  fc_double_edge(QWidget *parent = nullptr);
   ~fc_double_edge();
   int current_min;
   int current_max;
@@ -74,14 +74,14 @@ protected:
 };
 
 /**************************************************************************
- * Dialog used to change tax rates
- *************************************************************************/
+  Dialog used to change tax rates
+**************************************************************************/
 class tax_rates_dialog: public qfc_dialog
 {
 Q_OBJECT
 
   public:
-  tax_rates_dialog(QWidget *parent = 0);
+  tax_rates_dialog(QWidget *parent = nullptr);
 
 private:
   fc_double_edge *fcde;
@@ -92,14 +92,14 @@ private slots:
 };
 
 /**************************************************************************
- * Dialog used to change policies
- *************************************************************************/
+  Dialog used to change policies
+**************************************************************************/
 class multipler_rates_dialog: public QDialog
 {
   Q_OBJECT
 
 public:
-  explicit multipler_rates_dialog(QWidget* parent = 0);
+  explicit multipler_rates_dialog(QWidget *parent = nullptr);
 private:
   QList<QSlider*> slider_list;
   QPushButton *cancel_button;
diff --git a/client/gui-qt/voteinfo_bar.h b/client/gui-qt/voteinfo_bar.h
index 11b3b84185..3a0d80a1de 100644
--- a/client/gui-qt/voteinfo_bar.h
+++ b/client/gui-qt/voteinfo_bar.h
@@ -31,7 +31,7 @@ class pregamevote : public QWidget
 {
   Q_OBJECT
 public:
-  explicit pregamevote(QWidget *parent = NULL);
+  explicit pregamevote(QWidget *parent = nullptr);
   ~pregamevote();
   void update_vote();
   QLabel *label_text;
-- 
2.42.0