From a1625fa844a27ae7f2ab066baa55c7e49c91bb19 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 5 Dec 2023 23:45:43 +0200
Subject: [PATCH 26/26] Refresh rusyn.svg

See RM #29

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/flags/rusyn-large.png        | Bin 797 -> 668 bytes
 data/flags/rusyn-shield-large.png | Bin 741 -> 531 bytes
 data/flags/rusyn-shield.png       | Bin 504 -> 413 bytes
 data/flags/rusyn.png              | Bin 611 -> 500 bytes
 data/flags/rusyn.svg              |  39 ++++++++++++++++--------------
 5 files changed, 21 insertions(+), 18 deletions(-)

diff --git a/data/flags/rusyn-large.png b/data/flags/rusyn-large.png
index fbed51f87adada8ed3420f7f43cc5507c5b98541..0b7d9b2f41a15aebb5689ea1a3caa62ae98084d7 100644
GIT binary patch
diff --git a/data/flags/rusyn-shield-large.png b/data/flags/rusyn-shield-large.png
index 6175f18f1104f9fe617282596d6bdf492af0cef4..8465b676c89a976753a0871916d9c717fe316235 100644
GIT binary patch
diff --git a/data/flags/rusyn-shield.png b/data/flags/rusyn-shield.png
index 9099832ab5f6608ff26e893c9145c4728cf21264..f9e20355653f305bf975c302edce662a86f4938d 100644
GIT binary patch
diff --git a/data/flags/rusyn.png b/data/flags/rusyn.png
index 7647dc1d9f299722d6ee2bd8a57841dc964ff94a..71212d2c714a94e808863ef57ea1b2e9e0f973ab 100644
GIT binary patch
diff --git a/data/flags/rusyn.svg b/data/flags/rusyn.svg
index a8d40e56ee..3e77b10879 100644
--- a/data/flags/rusyn.svg
+++ b/data/flags/rusyn.svg
@@ -1,19 +1,19 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
 <svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
    width="500pt"
    height="333pt"
    viewBox="0 0 500 333"
    version="1.1"
    id="svg2"
-   inkscape:version="0.48.1 r9760"
-   sodipodi:docname="rusyn.svg">
+   inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
+   sodipodi:docname="rusyn.svg"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:dc="http://purl.org/dc/elements/1.1/">
   <metadata
      id="metadata77">
     <rdf:RDF>
@@ -22,7 +22,6 @@
         <dc:format>image/svg+xml</dc:format>
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
       </cc:Work>
     </rdf:RDF>
   </metadata>
@@ -37,17 +36,21 @@
      guidetolerance="10"
      inkscape:pageopacity="0"
      inkscape:pageshadow="2"
-     inkscape:window-width="640"
-     inkscape:window-height="480"
+     inkscape:window-width="994"
+     inkscape:window-height="772"
      id="namedview73"
      showgrid="false"
-     inkscape:zoom="0.61501502"
-     inkscape:cx="312.5"
-     inkscape:cy="208.125"
-     inkscape:window-x="0"
-     inkscape:window-y="0"
+     inkscape:zoom="1.23003"
+     inkscape:cx="334.13818"
+     inkscape:cy="226.41723"
+     inkscape:window-x="26"
+     inkscape:window-y="23"
      inkscape:window-maximized="0"
-     inkscape:current-layer="svg2" />
+     inkscape:current-layer="svg2"
+     inkscape:showpageshadow="2"
+     inkscape:pagecheckerboard="0"
+     inkscape:deskcolor="#d1d1d1"
+     inkscape:document-units="pt" />
   <g
      id="#332a79ff">
     <path
-- 
2.42.0