From 492b236e5557f11232f1abad76231678cb733b5d Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 8 Dec 2023 00:46:57 +0200
Subject: [PATCH 36/36] Refresh lycian.svg

See RM #38

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/flags/lycian-large.png        | Bin 721 -> 687 bytes
 data/flags/lycian-shield-large.png | Bin 618 -> 523 bytes
 data/flags/lycian-shield.png       | Bin 447 -> 415 bytes
 data/flags/lycian.png              | Bin 546 -> 515 bytes
 data/flags/lycian.svg              |  62 ++++++++++++++++++++++++-----
 5 files changed, 52 insertions(+), 10 deletions(-)

diff --git a/data/flags/lycian-large.png b/data/flags/lycian-large.png
index 20a69cf21ccf0120241916cc8cd976323cb2b520..d1daaff9a41dca5051e58b3e320acb4caba61774 100644
GIT binary patch
diff --git a/data/flags/lycian-shield-large.png b/data/flags/lycian-shield-large.png
index dfe48bbadacd30f0688245f4db2e74e676acd5b7..46d9f96cd450b097e9ae312ee911a003b0954444 100644
GIT binary patch
diff --git a/data/flags/lycian-shield.png b/data/flags/lycian-shield.png
index 7ac36b9102f9432d88369a0f788a5a3e87da582a..49dd410301518ca9709b00a58e7cf024a30787d3 100644
GIT binary patch
diff --git a/data/flags/lycian.png b/data/flags/lycian.png
index d6963d59c3696757ee3c1bde763bfd8e49b8abe0..61deb7e7033c90cfa65d5a17550c814252d54d66 100644
GIT binary patch
diff --git a/data/flags/lycian.svg b/data/flags/lycian.svg
index f2e258993d..14eccc314a 100644
--- a/data/flags/lycian.svg
+++ b/data/flags/lycian.svg
@@ -1,10 +1,52 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
-<svg width="310pt" height="210pt" viewBox="0 0 310 210" version="1.1" xmlns="http://www.w3.org/2000/svg">
-<g id="#e7bc2aff">
-<path fill="#e7bc2a" opacity="1.00" d=" M 0.00 0.00 L 310.00 0.00 L 310.00 210.00 L 0.00 210.00 L 0.00 0.00 M 102.99 18.01 C 99.95 21.97 101.04 27.23 101.24 31.85 C 103.10 36.87 106.00 41.55 109.72 45.41 C 111.99 48.70 114.57 51.85 118.06 53.92 C 124.31 59.33 131.20 64.01 136.75 70.22 C 139.15 75.10 142.54 79.97 142.06 85.68 C 139.05 91.61 133.14 95.36 130.19 101.32 C 128.53 110.92 131.27 120.46 132.06 129.97 L 132.94 130.02 C 132.84 134.64 135.00 138.87 135.23 143.45 C 136.20 145.34 135.94 147.56 136.71 149.52 C 139.31 161.72 140.79 174.15 143.69 186.28 C 145.76 189.89 149.41 193.77 154.01 193.02 C 157.42 192.71 160.02 190.22 161.81 187.48 C 162.35 185.49 162.83 183.48 163.26 181.47 C 164.25 178.79 164.30 175.89 164.90 173.12 C 166.61 162.17 169.11 151.37 171.29 140.51 C 171.89 138.54 172.22 136.51 172.74 134.52 C 173.27 131.28 174.09 128.11 174.76 124.90 C 175.18 123.09 174.59 120.94 175.92 119.43 C 175.92 113.08 176.57 106.74 175.90 100.40 C 172.35 95.04 166.75 91.43 163.93 85.56 C 163.91 75.53 170.83 67.09 178.66 61.62 C 181.19 59.11 184.41 57.42 186.77 54.73 C 187.56 53.78 188.67 53.22 189.77 52.70 C 195.73 46.85 201.38 40.34 204.47 32.48 C 205.45 28.50 204.82 24.34 204.98 20.27 C 203.42 19.05 201.97 17.41 199.89 17.16 C 195.35 16.69 190.70 16.78 186.30 18.13 C 184.56 19.54 182.94 21.08 181.53 22.82 C 184.49 23.59 187.50 23.20 190.38 22.34 C 193.39 21.40 196.37 22.84 199.07 24.03 C 199.04 25.21 199.02 26.40 199.00 27.59 C 198.10 28.90 197.19 30.19 196.23 31.45 C 192.11 38.30 184.81 42.00 178.68 46.73 C 173.27 48.98 168.45 53.20 162.30 53.17 C 161.22 51.93 160.13 50.71 159.02 49.50 C 159.02 46.49 158.98 43.49 159.04 40.48 C 161.25 38.35 160.98 35.14 161.06 32.33 C 159.89 31.23 158.74 30.12 157.59 29.00 C 154.77 29.06 151.93 28.85 149.12 29.19 C 144.47 30.60 143.55 37.33 146.96 40.45 C 147.04 43.51 146.98 46.57 147.03 49.63 C 145.44 51.25 143.67 53.55 141.07 52.95 C 136.55 51.96 132.68 49.28 128.58 47.28 C 127.12 46.40 125.66 45.52 124.17 44.70 C 123.82 44.37 123.13 43.69 122.78 43.36 C 117.07 39.84 111.91 35.33 108.23 29.67 C 107.74 28.23 107.26 26.78 106.80 25.32 C 108.51 23.72 110.39 21.69 112.99 21.93 C 116.69 22.22 120.33 24.10 124.08 22.95 C 124.42 21.16 122.77 20.20 121.43 19.49 C 115.98 16.04 108.98 16.36 102.99 18.01 Z" />
-</g>
-<g id="#973200ff">
-<path fill="#973200" opacity="1.00" d=" M 102.99 18.01 C 108.98 16.36 115.98 16.04 121.43 19.49 C 122.77 20.20 124.42 21.16 124.08 22.95 C 120.33 24.10 116.69 22.22 112.99 21.93 C 110.39 21.69 108.51 23.72 106.80 25.32 C 107.26 26.78 107.74 28.23 108.23 29.67 C 111.91 35.33 117.07 39.84 122.78 43.36 C 123.13 43.69 123.82 44.37 124.17 44.70 C 125.66 45.52 127.12 46.40 128.58 47.28 C 132.68 49.28 136.55 51.96 141.07 52.95 C 143.67 53.55 145.44 51.25 147.03 49.63 C 146.98 46.57 147.04 43.51 146.96 40.45 C 143.55 37.33 144.47 30.60 149.12 29.19 C 151.93 28.85 154.77 29.06 157.59 29.00 C 158.74 30.12 159.89 31.23 161.06 32.33 C 160.98 35.14 161.25 38.35 159.04 40.48 C 158.98 43.49 159.02 46.49 159.02 49.50 C 160.13 50.71 161.22 51.93 162.30 53.17 C 168.45 53.20 173.27 48.98 178.68 46.73 C 184.81 42.00 192.11 38.30 196.23 31.45 C 197.19 30.19 198.10 28.90 199.00 27.59 C 199.02 26.40 199.04 25.21 199.07 24.03 C 196.37 22.84 193.39 21.40 190.38 22.34 C 187.50 23.20 184.49 23.59 181.53 22.82 C 182.94 21.08 184.56 19.54 186.30 18.13 C 190.70 16.78 195.35 16.69 199.89 17.16 C 201.97 17.41 203.42 19.05 204.98 20.27 C 204.82 24.34 205.45 28.50 204.47 32.48 C 201.38 40.34 195.73 46.85 189.77 52.70 C 188.67 53.22 187.56 53.78 186.77 54.73 C 184.41 57.42 181.19 59.11 178.66 61.62 C 170.83 67.09 163.91 75.53 163.93 85.56 C 166.75 91.43 172.35 95.04 175.90 100.40 C 176.57 106.74 175.92 113.08 175.92 119.43 C 174.59 120.94 175.18 123.09 174.76 124.90 C 174.09 128.11 173.27 131.28 172.74 134.52 C 172.22 136.51 171.89 138.54 171.29 140.51 C 169.11 151.37 166.61 162.17 164.90 173.12 C 164.30 175.89 164.25 178.79 163.26 181.47 C 162.83 183.48 162.35 185.49 161.81 187.48 C 160.02 190.22 157.42 192.71 154.01 193.02 C 149.41 193.77 145.76 189.89 143.69 186.28 C 140.79 174.15 139.31 161.72 136.71 149.52 C 135.94 147.56 136.20 145.34 135.23 143.45 C 135.00 138.87 132.84 134.64 132.94 130.02 L 132.06 129.97 C 131.27 120.46 128.53 110.92 130.19 101.32 C 133.14 95.36 139.05 91.61 142.06 85.68 C 142.54 79.97 139.15 75.10 136.75 70.22 C 131.20 64.01 124.31 59.33 118.06 53.92 C 114.57 51.85 111.99 48.70 109.72 45.41 C 106.00 41.55 103.10 36.87 101.24 31.85 C 101.04 27.23 99.95 21.97 102.99 18.01 Z" />
-</g>
-</svg>
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<svg
+   width="310pt"
+   height="210pt"
+   viewBox="0 0 310 210"
+   version="1.1"
+   id="svg8"
+   sodipodi:docname="lycian.svg"
+   inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:svg="http://www.w3.org/2000/svg">
+  <defs
+     id="defs12" />
+  <sodipodi:namedview
+     id="namedview10"
+     pagecolor="#ffffff"
+     bordercolor="#000000"
+     borderopacity="0.25"
+     inkscape:showpageshadow="2"
+     inkscape:pageopacity="0.0"
+     inkscape:pagecheckerboard="0"
+     inkscape:deskcolor="#d1d1d1"
+     inkscape:document-units="pt"
+     showgrid="false"
+     inkscape:zoom="3.2830645"
+     inkscape:cx="206.97126"
+     inkscape:cy="142.39745"
+     inkscape:window-width="1551"
+     inkscape:window-height="1142"
+     inkscape:window-x="26"
+     inkscape:window-y="23"
+     inkscape:window-maximized="0"
+     inkscape:current-layer="svg8" />
+  <g
+     id="#e7bc2aff">
+    <path
+       fill="#e7bc2a"
+       opacity="1.00"
+       d=" M 0.00 0.00 L 310.00 0.00 L 310.00 210.00 L 0.00 210.00 L 0.00 0.00 M 102.99 18.01 C 99.95 21.97 101.04 27.23 101.24 31.85 C 103.10 36.87 106.00 41.55 109.72 45.41 C 111.99 48.70 114.57 51.85 118.06 53.92 C 124.31 59.33 131.20 64.01 136.75 70.22 C 139.15 75.10 142.54 79.97 142.06 85.68 C 139.05 91.61 133.14 95.36 130.19 101.32 C 128.53 110.92 131.27 120.46 132.06 129.97 L 132.94 130.02 C 132.84 134.64 135.00 138.87 135.23 143.45 C 136.20 145.34 135.94 147.56 136.71 149.52 C 139.31 161.72 140.79 174.15 143.69 186.28 C 145.76 189.89 149.41 193.77 154.01 193.02 C 157.42 192.71 160.02 190.22 161.81 187.48 C 162.35 185.49 162.83 183.48 163.26 181.47 C 164.25 178.79 164.30 175.89 164.90 173.12 C 166.61 162.17 169.11 151.37 171.29 140.51 C 171.89 138.54 172.22 136.51 172.74 134.52 C 173.27 131.28 174.09 128.11 174.76 124.90 C 175.18 123.09 174.59 120.94 175.92 119.43 C 175.92 113.08 176.57 106.74 175.90 100.40 C 172.35 95.04 166.75 91.43 163.93 85.56 C 163.91 75.53 170.83 67.09 178.66 61.62 C 181.19 59.11 184.41 57.42 186.77 54.73 C 187.56 53.78 188.67 53.22 189.77 52.70 C 195.73 46.85 201.38 40.34 204.47 32.48 C 205.45 28.50 204.82 24.34 204.98 20.27 C 203.42 19.05 201.97 17.41 199.89 17.16 C 195.35 16.69 190.70 16.78 186.30 18.13 C 184.56 19.54 182.94 21.08 181.53 22.82 C 184.49 23.59 187.50 23.20 190.38 22.34 C 193.39 21.40 196.37 22.84 199.07 24.03 C 199.04 25.21 199.02 26.40 199.00 27.59 C 198.10 28.90 197.19 30.19 196.23 31.45 C 192.11 38.30 184.81 42.00 178.68 46.73 C 173.27 48.98 168.45 53.20 162.30 53.17 C 161.22 51.93 160.13 50.71 159.02 49.50 C 159.02 46.49 158.98 43.49 159.04 40.48 C 161.25 38.35 160.98 35.14 161.06 32.33 C 159.89 31.23 158.74 30.12 157.59 29.00 C 154.77 29.06 151.93 28.85 149.12 29.19 C 144.47 30.60 143.55 37.33 146.96 40.45 C 147.04 43.51 146.98 46.57 147.03 49.63 C 145.44 51.25 143.67 53.55 141.07 52.95 C 136.55 51.96 132.68 49.28 128.58 47.28 C 127.12 46.40 125.66 45.52 124.17 44.70 C 123.82 44.37 123.13 43.69 122.78 43.36 C 117.07 39.84 111.91 35.33 108.23 29.67 C 107.74 28.23 107.26 26.78 106.80 25.32 C 108.51 23.72 110.39 21.69 112.99 21.93 C 116.69 22.22 120.33 24.10 124.08 22.95 C 124.42 21.16 122.77 20.20 121.43 19.49 C 115.98 16.04 108.98 16.36 102.99 18.01 Z"
+       id="path2" />
+  </g>
+  <g
+     id="#973200ff">
+    <path
+       fill="#973200"
+       opacity="1.00"
+       d=" M 102.99 18.01 C 108.98 16.36 115.98 16.04 121.43 19.49 C 122.77 20.20 124.42 21.16 124.08 22.95 C 120.33 24.10 116.69 22.22 112.99 21.93 C 110.39 21.69 108.51 23.72 106.80 25.32 C 107.26 26.78 107.74 28.23 108.23 29.67 C 111.91 35.33 117.07 39.84 122.78 43.36 C 123.13 43.69 123.82 44.37 124.17 44.70 C 125.66 45.52 127.12 46.40 128.58 47.28 C 132.68 49.28 136.55 51.96 141.07 52.95 C 143.67 53.55 145.44 51.25 147.03 49.63 C 146.98 46.57 147.04 43.51 146.96 40.45 C 143.55 37.33 144.47 30.60 149.12 29.19 C 151.93 28.85 154.77 29.06 157.59 29.00 C 158.74 30.12 159.89 31.23 161.06 32.33 C 160.98 35.14 161.25 38.35 159.04 40.48 C 158.98 43.49 159.02 46.49 159.02 49.50 C 160.13 50.71 161.22 51.93 162.30 53.17 C 168.45 53.20 173.27 48.98 178.68 46.73 C 184.81 42.00 192.11 38.30 196.23 31.45 C 197.19 30.19 198.10 28.90 199.00 27.59 C 199.02 26.40 199.04 25.21 199.07 24.03 C 196.37 22.84 193.39 21.40 190.38 22.34 C 187.50 23.20 184.49 23.59 181.53 22.82 C 182.94 21.08 184.56 19.54 186.30 18.13 C 190.70 16.78 195.35 16.69 199.89 17.16 C 201.97 17.41 203.42 19.05 204.98 20.27 C 204.82 24.34 205.45 28.50 204.47 32.48 C 201.38 40.34 195.73 46.85 189.77 52.70 C 188.67 53.22 187.56 53.78 186.77 54.73 C 184.41 57.42 181.19 59.11 178.66 61.62 C 170.83 67.09 163.91 75.53 163.93 85.56 C 166.75 91.43 172.35 95.04 175.90 100.40 C 176.57 106.74 175.92 113.08 175.92 119.43 C 174.59 120.94 175.18 123.09 174.76 124.90 C 174.09 128.11 173.27 131.28 172.74 134.52 C 172.22 136.51 171.89 138.54 171.29 140.51 C 169.11 151.37 166.61 162.17 164.90 173.12 C 164.30 175.89 164.25 178.79 163.26 181.47 C 162.83 183.48 162.35 185.49 161.81 187.48 C 160.02 190.22 157.42 192.71 154.01 193.02 C 149.41 193.77 145.76 189.89 143.69 186.28 C 140.79 174.15 139.31 161.72 136.71 149.52 C 135.94 147.56 136.20 145.34 135.23 143.45 C 135.00 138.87 132.84 134.64 132.94 130.02 L 132.06 129.97 C 131.27 120.46 128.53 110.92 130.19 101.32 C 133.14 95.36 139.05 91.61 142.06 85.68 C 142.54 79.97 139.15 75.10 136.75 70.22 C 131.20 64.01 124.31 59.33 118.06 53.92 C 114.57 51.85 111.99 48.70 109.72 45.41 C 106.00 41.55 103.10 36.87 101.24 31.85 C 101.04 27.23 99.95 21.97 102.99 18.01 Z"
+       id="path5" />
+  </g>
+</svg>
-- 
2.42.0